# AIIA

## Installation

### Install via pip

To install the package directly from the Git repository using `pip`, run:
```sh
pip install git+https://gitea.fabelous.app/Machine-Learning/AIIA.git
```

This command will clone the repository and install the package along with its dependencies.

### Additional Notes

- Ensure you have `git` installed on your system.
- Make sure `pip` is up-to-date. You can update it using:
  ```sh
  pip install --upgrade pip
  ```

That's it! You should now have the AIIA package installed and ready to use.


## Example Usage: 
```Python
from aiia.model import AIIABase
from aiia.model.config import AIIAConfig
from aiia.pretrain import Pretrainer

# Create your model
config = AIIAConfig(model_name="AIIA-Base-512x20k")
model = AIIABase(config)

# Initialize pretrainer with the model
pretrainer = Pretrainer(model, learning_rate=1e-4)

# List of dataset paths
dataset_paths = [
    "/path/to/dataset1.parquet",
    "/path/to/dataset2.parquet"
]

# Start training with multiple datasets
pretrainer.train(
    dataset_paths=dataset_paths,
    num_epochs=10,
    batch_size=2,
    sample_size=10000
)
```